Bug 462401 - Review Request: hunspell-uk - Ukrainian hunspell dictionary
Review Request: hunspell-uk - Ukrainian hunspell dictionary
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 18:08 EDT by Caolan McNamara
Modified: 2008-09-17 17:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-17 17:48:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-09-15 18:08:06 EDT
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-uk.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-uk-1.5.0-1.fc9.src.rpm
Description: Ukrainian hunspell dictionary
Comment 1 Parag AN(पराग) 2008-09-16 04:09:16 EDT
I don't understand here usage of Source1 and Source2 from hunspell-uk.spec
Comment 2 Caolan McNamara 2008-09-16 04:48:15 EDT
It doesn't make any sense, I've copied and pasted from the wrong hunspell .spec template this time :-), try...

http://people.redhat.com/caolanm/hunspell/hunspell-uk.spec
http://people.redhat.com/caolanm/hunspell/hunspell-uk-1.5.0-2.fc9.src.rpm
Comment 3 Parag AN(पराग) 2008-09-17 04:01:45 EDT
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=829727
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
948964c6544fb408ce8cd1c55ba3f92b  myspell-uk_UA-1.5.0.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 4 Caolan McNamara 2008-09-17 04:19:54 EDT
New Package CVS Request
=======================
Package Name: hunspell-uk
Short Description: Ukrainian hunspell dictionaries
Owners: caolanm
Branches: 
InitialCC:
Comment 5 Kevin Fenzi 2008-09-17 15:06:03 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.